Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.relaxns.grammar.relax
Class AnyOtherElementExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.ElementExp
              com.sun.msv.relaxns.grammar.relax.AnyOtherElementExp

All Implemented Interfaces:
  org.iso_relax.dispatcher.ElementDecl, NameClassAndExpression, java.io.Serializable

public class AnyOtherElementExp
extends ElementExp
implements org.iso_relax.dispatcher.ElementDecl

place holder for <anyOtherElement> of RELAX.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `excludeNamespace`
`java.lang.String` | `includeNamespace`
`NameClass` | `nameClass` this name class matches all the namespaces that are accepted by this anyOtherElement.
`org.xml.sax.Locator` | `source` where did this reference is written in the source file.

Fields inherited from class com.sun.msv.grammar.ElementExp
`contentModel, ignoreUndeclaredAttributes`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Constructor Summary
`AnyOtherElementExp(org.xml.sax.Locator loc, java.lang.String includeNamespace, java.lang.String excludeNamespace)` creates "skelton" of AnyOtherElement.

Method Summary
`boolean` | `getFeature(java.lang.String feature)`
`java.lang.String` | `getName()`
`NameClass` | `getNameClass()` obtains a constraint over tag name.
`java.lang.Object` | `getProperty(java.lang.String property)`

Methods inherited from class com.sun.msv.grammar.ElementExp
`equals, getContentModel, visit, visit, visit, visit`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameClass

    public NameClass nameClass

  this name class matches all the namespaces that are accepted by this anyOtherElement. this field is set by bind method.

### source

    public transient org.xml.sax.Locator source

  where did this reference is written in the source file. can be set to null (to reduce memory usage) at anytime.

### includeNamespace

    public final java.lang.String includeNamespace

### excludeNamespace

    public final java.lang.String excludeNamespace

Constructor Detail

### AnyOtherElementExp

    public AnyOtherElementExp(org.xml.sax.Locator loc,
                              java.lang.String includeNamespace,
                              java.lang.String excludeNamespace)

  creates "skelton" of AnyOtherElement. pseudo content model and name class must be supplied separately.

Method Detail

### getNameClass

    public NameClass getNameClass()

  Description copied from class: `ElementExp`
  obtains a constraint over tag name. ElementExp is cannot be shared because NameClass has to be mutable to absorb the difference of RELAX and TREX. In case of TREX, name class will be determined when parsing ElementExp itself. Thus effectively it's immutable. In case of RELAX, name class will be determined when its corresponding Clause object is parsed.

  Specified by:
    `getNameClass` in interface `NameClassAndExpression`
  Specified by:
    `getNameClass` in class `ElementExp`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.iso_relax.dispatcher.ElementDecl`

### getFeature

    public boolean getFeature(java.lang.String feature)
                       throws org.xml.sax.SAXNotRecognizedException

  Specified by:
    `getFeature` in interface `org.iso_relax.dispatcher.ElementDecl`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`

### getProperty

    public java.lang.Object getProperty(java.lang.String property)
                                 throws org.xml.sax.SAXNotRecognizedException

  Specified by:
    `getProperty` in interface `org.iso_relax.dispatcher.ElementDecl`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD